FruxonDocs
IntegrationsTools

Updates an existing Python script tool.

PUT
/v1/tenants/{tenant}/integrations/{integration}/tools/{tool}:python

Path Parameters

integration*string

The integration identifier.

tool*string

The unique identifier of the AI Tool.

tenant*string

The tenant identifier

The updated AI Tool data.

descriptor*
isInternal?boolean
createdAt?integer
Formatint64
id?string|null

Tool id can consist of only letters, numbers, underscores and hyphens.

modifiedAt?integer
Formatint64
integrationId?string|null

Integration

displayName?string|null
description?string|null
toolType?string
Value in"undefined" | "api" | "predefined" | "subAgent" | "pythonScript" | "llmBuiltIn" | "mcp"
actionType?string
Value in"readOnly" | "reversible" | "irreversible"
resultType?string
Value in"unknown" | "string" | "json" | "tool" | "boolean" | "integer"
parametersMetadata?|null
authSettings?
[key: string]?never

Response Body

curl -X PUT "https://api.fruxon.com/v1/tenants/string/integrations/string/tools/string:python" \  -H "Content-Type: application/json" \  -d '{    "descriptor": {}  }'
{
  "descriptor": {
    "apiTool": {
      "headers": {},
      "httpMethod": "string",
      "url": "string",
      "queryParameters": {},
      "body": "string",
      "formParameters": {},
      "resultType": "Unknown",
      "resultTransformExpression": "string"
    },
    "predefinedTool": {
      "resultType": "Unknown"
    },
    "mcpTool": {
      "serverUrl": "string",
      "mcpToolName": "string",
      "resultType": "Unknown"
    },
    "pythonTool": {
      "code": "string",
      "timeoutSeconds": 0,
      "packages": [
        "string"
      ],
      "resultType": "Unknown"
    }
  },
  "isInternal": false,
  "createdAt": 0,
  "id": "string",
  "modifiedAt": 0,
  "integrationId": "string",
  "displayName": "string",
  "description": "string",
  "toolType": "Undefined",
  "isModifiable": false,
  "actionType": "ReadOnly",
  "resultType": "Unknown",
  "parametersMetadata": [
    {
      "name": "string",
      "index": 0,
      "type": "String",
      "typeName": "string",
      "integerRange": {
        "min": 0,
        "max": 0
      },
      "floatRange": {
        "min": 0,
        "max": 0
      },
      "options": [],
      "asset": {
        "providers": null,
        "contentTypes": null,
        "vectorized": false
      },
      "displayName": "string",
      "description": "string",
      "required": false,
      "secret": false,
      "defaultValue": "string",
      "jsonSchema": "string",
      "uiHint": "Code",
      "rules": []
    }
  ],
  "authSettings": {
    "supportsOAuth": false,
    "oAuth": [
      {
        "scopeSize": 0,
        "scopes": [],
        "userScopes": [],
        "allScopes": [],
        "requiresResourceAuth": false,
        "successfulOAuthRedirect": "string"
      }
    ]
  }
}
Empty
Empty
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}